
QGIS Application - Bug report #16654

[Value list widget] scroll bar is locked in read-only mode

2017-06-01 05:16 PM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.18.9 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24554

Description

For a multiple selection attribute, we cannot see the complete list because de scroll bar is locked.

It's only possible to see the values by switching into edit mode.

See the Demo GIF https://share.oslandia.net/public/b40a2chttps://github.com/qwat/QWAT/issues/194

Associated revisions

Revision 7e4f1f8c - 2017-07-21 05:58 PM - Paul Blottiere

Fixes value relation widget to always keep scrollbar activated. Fixes #16654

Revision d19b4aa2 - 2017-07-26 10:52 AM - Hugo Mercier

Merge pull request #4905 from pblottiere/bugfix_scrolllocked

Fixes value relation widget to keep scrollbar activated, fixes #16654

Revision 7b5b628f - 2017-07-27 08:20 AM - Paul Blottiere

Fixes value relation widget to always keep scrollbar activated. Fixes #16654

Revision 23c2be89 - 2017-07-27 04:37 PM - Hugo Mercier

Merge pull request #4925 from pblottiere/bugfix_scrolllocked_218

Fixes value relation widget to keep scrollbar activated, fixes #16654 (backport)

History

#1 - 2017-07-26 10:52 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7e4f1f8c95da96f4deb212a8935e3ae3d2200992.
